package admin.model;

import lombok.Data;

import java.util.List;

/**
 * @author lj
 * @date 2025/2/27 17:38
 */
@Data
public class WebSocketModel {

    private String action;
    /**
     * 后端响应数据
     */
    private String content;
    private String type;
    /**
     * 会话id
     */
    private String sessionId;
    /**
     * 前端提问数据
     */
    private String data;
    /**
     * 大屏账号名称
     */
    private String name;

    /**
     * 前端根据这类型进行判断：1-中科慧居简介 2-饼状图 3-柱状图 4-趋势图
     */
    private Integer showType;
    /**
     * 组件展示的标题名称
     */
    private String title;
    /**
     * 图片列表
     */
    private List<String> imgs;
    /**
     * 人员介绍内容
     */
    private String note;
    /**
     * 人员职位
     */
    private String position;
    /**
     * 图片路径
     */
    private String chartUrl;

    /**
     * 数据集
     */
    private String dataList;

    public static WebSocketModel createBaseMode(String action,String type,String content){
        WebSocketModel webSocketModel = new WebSocketModel();
        webSocketModel.setType(type);
        webSocketModel.setAction(action);
        webSocketModel.setContent(content);
        return webSocketModel;
    }
   public static WebSocketModel createByMaxKbChatReq(MaxKbChatReq maxKbChatReq,String action,String type,String content){
       WebSocketModel webSocketModel = new WebSocketModel();
       webSocketModel.setAction(action);
       webSocketModel.setType(type);
       webSocketModel.setShowType(maxKbChatReq.getShowType()!=null?maxKbChatReq.getShowType().getType():null);
       webSocketModel.setName(maxKbChatReq.getUserName());
       webSocketModel.setTitle(maxKbChatReq.getShowType()!=null?maxKbChatReq.getShowType().getDesc():null);
       webSocketModel.setImgs(maxKbChatReq.getShowType()!=null?maxKbChatReq.getShowType().getImgs():null);
       webSocketModel.setNote(maxKbChatReq.getShowType()!=null?maxKbChatReq.getShowType().getNote():null);
       webSocketModel.setPosition(maxKbChatReq.getShowType()!=null?maxKbChatReq.getShowType().getPosition():null);
       webSocketModel.setContent(content);
       return webSocketModel;
   }

    public static WebSocketModel createSessionMode(String action, String type, String content, String sessionId) {
        WebSocketModel baseMode = createBaseMode(action, type, content);
        baseMode.setSessionId(sessionId);
        return baseMode;
    }

    public static WebSocketModel createChartMode(String action, String type, String content,String chartUrl) {
        WebSocketModel baseMode = createBaseMode(action, type, content);
        baseMode.setChartUrl(chartUrl);
        return baseMode;
    }

    public static WebSocketModel createDataList(String action, String type, String content,String dataList) {
        WebSocketModel baseMode = createBaseMode(action, type, content);
        baseMode.setDataList(dataList);
        return baseMode;
    }
}
