package admin.modules.chatgpt.domain;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.bean.copier.CopyOptions;
import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.sql.Timestamp;

/**
* @author wk
* @date 2023-11-27
*/
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = false)
@TableName("chatgpt_role_records")
public class ChatgptRoleRecords implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "唯一标识，自动递增")
    @TableId(type= IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "会话id")
    private Integer sessionId;

    @ApiModelProperty(value = "发送者id")
    @NotNull
    private Integer senderId;

    @ApiModelProperty(value = "接收者id")
    @NotNull
    private Integer receiverId;

    @ApiModelProperty(value = "聊天消息的内容")
    private String message;

    @ApiModelProperty(value = "问答 1-问 0-答")
    private Integer isAsk;

    @ApiModelProperty(value = "创建时间")
    @TableField(fill= FieldFill.INSERT)
    private Timestamp createTime;

    @ApiModelProperty(value = "1-收藏 0-不收藏")
    private Integer isCollect;

    @ApiModelProperty(value = "1-数据集,2-ai生成的url")
    private Integer type;

    @ApiModelProperty(value = "内容")
    private String content;
    @ApiModelProperty(value = "1-深度分析 2-普通问答")
    private Integer isDepth;
    public void copyFrom(ChatgptRoleRecords source){
        BeanUtil.copyProperties(source,this, CopyOptions.create().setIgnoreNullValue(true));
    }
}
