package admin.service.impl;

import admin.model.WebSocketModel;
import admin.service.OpenConnectService;
import admin.util.WebConnectUtil;
import com.alibaba.fastjson.JSONObject;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import javax.websocket.Session;
import java.io.IOException;
import java.util.List;

/**
 * @author lj
 * @date 2025/3/18 18:18
 */
@Service
@RequiredArgsConstructor
public class OpenConnectServiceImpl implements OpenConnectService {

    @Override
    public void popUpEvent(String name, String action) {
        WebSocketModel webSocketModel = new WebSocketModel();
        webSocketModel.setType("text");
        webSocketModel.setAction(action);
        String msg = JSONObject.toJSONString(webSocketModel);
        List<Session> webMap = WebConnectUtil.getWebMap(name);
        if (!webMap.isEmpty()){
            webMap.forEach(i->{
                try {
                    i.getBasicRemote().sendText(msg);
                } catch (IOException e) {
                    throw new RuntimeException(e);
                }
            });
        }
    }
}
