package admin.service.impl;

import admin.model.python.PythonApiReq;
import admin.resp.PythonResp;
import admin.service.PythonOpenApiClient;
import admin.util.HttpUtil;
import com.alibaba.fastjson.JSONObject;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author lj
 * @date 2025/3/13 15:17
 */
@Service
@RequiredArgsConstructor
@Slf4j
public class PythonOpenApiClientImpl implements PythonOpenApiClient {
    @Override
    public PythonResp getAnalysisData(PythonApiReq pythonApiReq) {
        return JSONObject.parseObject(HttpUtil.post("https://py.justh5.com/aiapi/sqlqa/", pythonApiReq),PythonResp.class);
    }

    @Override
    public List<String> getSimilarProblems(PythonApiReq pythonApiReq) {
        String post = HttpUtil.post("https://py.justh5.com/aiapi/relatedIssues", pythonApiReq);
        return JSONObject.parseArray(post,String.class);
    }
}
