package admin.util;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

/**
 * @author lj
 * @date 2025/3/5 14:23
 */
@Getter
@AllArgsConstructor
public enum ResponseEnum{
    ZK_PROFILE(1,"中科慧居简介",null,null,null),
    PIE_CHART(2,"饼状图",null,null,null),
    BAR_CHART(3,"柱状图",null,null,null),
    TREND_CHART(4,"趋势图",null,null,null),
    ZK_PRODUCT(5,"中科慧居产品介绍",null,null,null),
    ZK_USER(6,"中科慧居人员介绍",null,null,null),
    ZK_SOFTWARE(7,"中科慧居软件介绍",null,null,null),
    ZK_SMH(8,"物联网超级魔盒", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/wlhh1.png", "https://bj-img.justh5.com/newBigScreen/product/wlhh2.png"),null,null),
    ZK_WHETC(8,"无线高位视频+ETC系列设备", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/wxgw1.png", "https://bj-img.justh5.com/newBigScreen/product/wxgw2.png"),null,null),
    ZK_WVP(8,"无线视频桩", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/wxsp1.png", "https://bj-img.justh5.com/newBigScreen/product/wxsp2.png"),null,null),
    ZK_WCC(8,"无线路牙机", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/lyj1.jpg"),null,null),
    ZK_IRV(8,"巡检车", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/xjc1.png", "https://bj-img.justh5.com/newBigScreen/product/xjc2.png"),null,null),
    ZK_SPPL(8,"太阳能平板地锁", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/tyn1.png", "https://bj-img.justh5.com/newBigScreen/product/tyn2.png"),null,null),
    ZK_APS(8,"立体车库", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/ltck1.png", "https://bj-img.justh5.com/newBigScreen/product/ltck2.png"),null,null),
    ZK_ISCW(8,"自助洗车一体化场景", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/tcc3.png", "https://bj-img.justh5.com/newBigScreen/product/tcc4.png"),null,null),
    ZK_IPCS(8,"停充储一体化服务", Arrays.asList("https://bj-img.justh5.com/newBigScreen/product/tcc1.png", "https://bj-img.justh5.com/newBigScreen/product/tcc2.png"),null,null),
    ZK_PLATFORM(8,"运营平台", Arrays.asList("https://bj-img.justh5.com/newBigScreen/software/yypt1.png", "https://bj-img.justh5.com/newBigScreen/software/yypt2.png","https://bj-img.justh5.com/newBigScreen/software/yypt3.png","https://bj-img.justh5.com/newBigScreen/software/yypt4.png"),null,null),
    ZK_SMALL_PROGRAM(8,"客户端小程序", Arrays.asList("https://bj-img.justh5.com/newBigScreen/software/khdxcx1.png", "https://bj-img.justh5.com/newBigScreen/software/khdxcx2.png","https://bj-img.justh5.com/newBigScreen/software/khdxcx3.png","https://bj-img.justh5.com/newBigScreen/software/khdxcx4.png"),null,null),
    ZK_POS(8,"手持机收费终端", Arrays.asList("https://bj-img.justh5.com/newBigScreen/software/sjzd1.png", "https://bj-img.justh5.com/newBigScreen/software/sjzd2.png","https://bj-img.justh5.com/newBigScreen/software/sjzd3.png","https://bj-img.justh5.com/newBigScreen/software/sjzd4.png"),null,null),
    ZK_TB(9,"汤波", Collections.singletonList("https://bj-img.justh5.com/newBigScreen/person/tb1.png"),"创始人&董事长","中科慧居创始人;中科院研究生、MBA、中科院第一届创新创业班成员;动静态一体智能交通研究院副院长、中海地产项目经理、智能家居项目负责人;注册一级建造师、物联网领域资深专家;20多项国家专利发明人、2015年互联网+创新创业大赛全国总决赛最佳创业项目奖、2021年嘉兴市创业领军人才、2022年度科创中国长三角G60创业榜单30强。"),
    ZK_LL(9,"李乐", Collections.singletonList("https://bj-img.justh5.com/newBigScreen/person/ll1.png"),"联合创始人","中国科学院硕士研究生;人力资源经济师;原世界500强企业人力资源总监;十余年人力资源管理经验，具备系统的专业知识和丰富的实战经历。"),
    ZK_LBL(9,"吕泊岚", Collections.singletonList("https://bj-img.justh5.com/newBigScreen/person/lbl1.png"),"联合创始人","美国纽约伯克利大学海归，CFA;之江创业基金合伙人;中科慧居创始合伙人;沣墒资本管理合伙人;中科智泊科技董事长;畅尔装备监事。"),
    ZK_SWW(9,"孙巍巍", Collections.singletonList("https://bj-img.justh5.com/newBigScreen/person/sww1.png"),"联合创始人","原百度IDG事业部智慧停车行业总经理; 原精英路通常务副总经理;中交一公局停车行业运营总监; 两项国家行业标准参与制定者;省级科技进步一等奖。"),
    ZK_LZL(9,"刘照琳", Collections.singletonList("https://bj-img.justh5.com/newBigScreen/person/lzl1.png"),"联合创始人","英国巴斯大学硕士研究生;原世界五百强企业产品总监，具备丰富的设计及项目管理经验;熟悉3DSMAX、Rhino、SketchUp、AutoCAD等软件应用。"),
    ZK_ZH(9,"钟华", Collections.singletonList("https://bj-img.justh5.com/newBigScreen/person/zh1.png"),"特聘专家顾问","中国科学院大学软件研究所所长;博士生导师;中科院软件工程技术研究开发中心主任;中国软件行业协会常务理事;中国计算机协会理事。"),
    ZK_LHQ(9,"李海青", Collections.singletonList("https://bj-img.justh5.com/newBigScreen/person/lhq1.png"),"技术专家","中科院自动化所研究员;博士，师从谭铁牛院士;虹膜识别和人脸识别算法资深技术专家;中科虹霸、中科虹星人工智能算法首席技术负责人。"),
    ZK_FT(9,"冯涛", Collections.singletonList("https://bj-img.justh5.com/newBigScreen/person/ft1.png"),"技术专家","北京科技大学博士、副教授;第21届北京市优秀青年工程师;专注于物联网、人工智能、机器人领域的研究;获得多项科技奖项与发明专利。"),
    ZK_LRH(9,"刘瑞华", Collections.singletonList("https://bj-img.justh5.com/newBigScreen/person/lhr1.png"),"人工智能专家","中科院生态研究中心所博士;福布斯中国北美华人top60;美国希尔研究院创始合伙人;国家公派出国奖学金;中国科学院国际交流奖学金。");
    int type;
    String desc;
    List<String> imgs;
    String position;
    String note;

}
