package admin.util;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.Getter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @author lj
 * @date 2025/2/27 18:14
 */
@Getter
@AllArgsConstructor
public enum ScreenEnum {

    PH_ADMIN("ph",1,1,"平湖"),
    PH_LC_ADMIN("ph_lc",2,0,"平湖"),
    PH_SCREEN("phscreen",3,0,"平湖"),
    PH_TEST("test",4,0,"平湖测试"),
    PH_PYT("pyt",5,0,"平湖平易停"),
    PH_PYT_LS("pytls",6,0,"平湖平易停"),
    ZP_GQ("zp_gq",7,0,"平湖"),
    ADMIN("admin",8,0,"全国"),
    ALL_PARK("all",9,1,"全国"),
    BLT_ADMIN("blt",10,1,"临沧"),
    BLT_LC_ADMIN("blt_lc",11,0,"临沧"),
    BLT_SCREEN("screen",12,0,"临沧"),
    JS_ADMIN("js",13,1,"嘉善"),
    JS_LC_ADMIN("js_lc",14,0,"嘉善"),
    JS_SCREEN("jsscreen",15,0,"嘉善"),
    HK_ADMIN("hk",16,1,"海口"),
    HK_LC_ADMIN("hk_lc",17,0,"海口"),
    HK_SCREEN("hkscreen",18,0,"海口"),
    JGS_ADMIN("jgs",19,1,"九宫山"),
    JGS_LC_ADMIN("jgs_lc",20,0,"九宫山"),
    JGS_SCREEN("jgsscreen",21,0,"九宫山"),
    BJ_ADMIN("bj",22,1,"北京"),
    HZ_ADMIN("hz",23,0,"展览路"),
    QY_ADMIN("qy",24,1,"庆阳"),
    QYT_ADMIN("qyt",25,0,"庆易停"),
    NC_ADMIN("nc",26,1,"南昌"),
    YZ_ADMIN("yz",27,1,"宜章"),
    NK_ADMIN("nk",28,1,"南康");
    private String name;
    private Integer userId;
    private Integer isShow;
    private String screenName;

    public static Integer getByUserName(String userName){
        for(ScreenEnum value:ScreenEnum.values()){
            if(value.name.equals(userName)){
                return value.userId;
            }
        }
        return ScreenEnum.ALL_PARK.userId;
    }

    public static List<Map<String,Object>> getScreen(){
        List<Map<String,Object>> list = new ArrayList<>();
        for(ScreenEnum value:ScreenEnum.values()){
            if(value.isShow.equals(1)){
                Map<String,Object> map = new HashMap<>();
                map.put("name",value.name);
                map.put("userId",value.userId);
                map.put("isShow",value.isShow);
                map.put("screenName",value.screenName);
                list.add(map);
            }
        }
        return list;
    }
}
